Debian Bug report logs - #660400
hal: FTBFS on kfreebsd-*

version graph

Package: src:hal; Maintainer for src:hal is Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>;

Reported by: "Adam D. Barratt" <adam@adam-barratt.org.uk>

Date: Sat, 18 Feb 2012 20:39:02 UTC

Severity: serious

Tags: patch

Found in version hal/0.5.14-7

Fixed in version hal/0.5.14-7.1

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#660400; Package src:hal. (Sat, 18 Feb 2012 20:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
New Bug report received and forwarded. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sat, 18 Feb 2012 20:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: "Adam D. Barratt" <adam@adam-barratt.org.uk>
To: submit@bugs.debian.org
Subject: hal: FTBFS on kfreebsd-*
Date: Sat, 18 Feb 2012 20:34:50 +0000
Source: hal
Version: 0.5.14-7
Severity: serious

Hi,

hal FTBFS on kfreebsd-*, having been binNMUed for the freebsd-libs
transition.  From the kfreebsd-amd64 build log:

make[6]: Entering directory `/build/buildd-hal_0.5.14-7+b1-kfreebsd-amd64-kVPb0C/hal-0.5.14/hald/freebsd'
/bin/bash ../../libtool  --tag=CC   --mode=compile gcc -DHAVE_CONFIG_H -I. -I../..  -DPACKAGE_SYSCONF_DIR=\""/etc"\" -DPACKAGE_DATA_DIR=\""/usr/share"\" -DPACKAGE_BIN_DIR=\""/usr/bin"\" -DPACKAGE_LOCALE_DIR=\""/usr/share/locale"\" -DPACKAGE_LOCALSTATEDIR=\""/var"\" -I../.. -I.. -pthread -I/usr/include/glib-2.0 -I/usr/lib/x86_64-kfreebsd-gnu/glib-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/x86_64-kfreebsd-gnu/dbus-1.0/include   -I/usr/include/dbus-1.0 -I/usr/lib/x86_64-kfreebsd-gnu/dbus-1.0/include      -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -Wchar-subscripts -Wmissing-declarations -Wnested-externs -Wpointer-arith -Wcast-align -Wsign-compare -c -o hf-acpi.lo hf-acpi.c
libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I../.. -DPACKAGE_SYSCONF_DIR=\"/etc\" -DPACKAGE_DATA_DIR=\"/usr/share\" -DPACKAGE_BIN_DIR=\"/usr/bin\" -DPACKAGE_LOCALE_DIR=\"/usr/share/locale\" -DPACKAGE_LOCALSTATEDIR=\"/var\" -I../.. -I.. -pthread -I/usr/include/glib-2.0 -I/usr/lib/x86_64-kfreebsd-gnu/glib-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/x86_64-kfreebsd-gnu/dbus-1.0/include -I/usr/include/dbus-1.0 -I/usr/lib/x86_64-kfreebsd-gnu/dbus-1.0/include -g -O2 -fstack-protector --param=ssp-buffer-size=4 -Wformat -Wformat-security -Werror=format-security -Wall -Wchar-subscripts -Wmissing-declarations -Wnested-externs -Wpointer-arith -Wcast-align -Wsign-compare -c hf-acpi.c  -fPIC -DPIC -o .libs/hf-acpi.o
hf-acpi.c: In function 'hf_acpi_laptop_panel_new':
hf-acpi.c:523:3: error: format not a string literal and no format arguments [-Werror=format-security]
hf-acpi.c:539:7: error: format not a string literal and no format arguments [-Werror=format-security]
cc1: some warnings being treated as errors
make[6]: *** [hf-acpi.lo] Error 1
make[6]: Leaving directory `/build/buildd-hal_0.5.14-7+b1-kfreebsd-amd64-kVPb0C/hal-0.5.14/hald/freebsd'
make[5]: *** [all-recursive] Error 1
make[5]: Leaving directory `/build/buildd-hal_0.5.14-7+b1-kfreebsd-amd64-kVPb0C/hal-0.5.14/hald/freebsd'
make[4]: *** [all-recursive] Error 1
make[4]: Leaving directory `/build/buildd-hal_0.5.14-7+b1-kfreebsd-amd64-kVPb0C/hal-0.5.14/hald'
make[3]: *** [all] Error 2
make[3]: Leaving directory `/build/buildd-hal_0.5.14-7+b1-kfreebsd-amd64-kVPb0C/hal-0.5.14/hald'
make[2]: *** [all-recursive] Error 1
make[2]: Leaving directory `/build/buildd-hal_0.5.14-7+b1-kfreebsd-amd64-kVPb0C/hal-0.5.14'
make[1]: *** [all] Error 2
make[1]: Leaving directory `/build/buildd-hal_0.5.14-7+b1-kfreebsd-amd64-kVPb0C/hal-0.5.14'
make: *** [debian/stamp-makefile-build] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2

Full logs available via
https://buildd.debian.org/status/package.php?p=hal

Regards,

Adam





Added indication that bug 660400 blocks 660022 Request was from Adam D. Barratt <adam@adam-barratt.org.uk> to control@bugs.debian.org. (Sat, 18 Feb 2012 20:54:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#660400; Package src:hal. (Sun, 19 Feb 2012 03:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Steven Chamberlain <steven@pyro.eu.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 19 Feb 2012 03:48:03 GMT) Full text and rfc822 format available.

Message #12 received at 660400@bugs.debian.org (full text, mbox):

From: Steven Chamberlain <steven@pyro.eu.org>
To: 660400@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: hal: FTBFS on kfreebsd-*
Date: Sun, 19 Feb 2012 03:45:33 +0000
[Message part 1 (text/plain, inline)]
Hi,

This is due to 'unsafe' format strings being supplied to printf in
FreeBSD-specific code, revealed by the -Wformat-security build hardening
option.  I've attached a patch to fix this.

Thanks!
Regards,
-- 
Steven Chamberlain
steven@pyro.eu.org
[55-kfreebsd-format-security.patch (text/x-patch, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#660400; Package src:hal. (Sun, 19 Feb 2012 04:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 19 Feb 2012 04:54:03 GMT) Full text and rfc822 format available.

Message #17 received at 660400@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Steven Chamberlain <steven@pyro.eu.org>, 660400@bugs.debian.org
Cc: debian-bsd@lists.debian.org
Subject: Re: Bug#660400: hal: FTBFS on kfreebsd-*
Date: Sun, 19 Feb 2012 05:51:06 +0100
[Message part 1 (text/plain, inline)]
tag 660400 patch pending
thanks

Steven Chamberlain <steven@pyro.eu.org> (19/02/2012):
> This is due to 'unsafe' format strings being supplied to printf in
> FreeBSD-specific code, revealed by the -Wformat-security build hardening
> option.  I've attached a patch to fix this.

Thanks, uploaded right away since we have many blockers for the
freebsd-libs transition, I hope Michael will be fine with my
being in a hurry. The patch for my NMU is attached.

Also: Thanks to IRILL for sponsoring this BSP in Paris.

Mraw,
KiBi.
[hal-nmu.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Added tag(s) pending and patch. Request was from Cyril Brulebois <kibi@debian.org> to control@bugs.debian.org. (Sun, 19 Feb 2012 04:54:05 GMT) Full text and rfc822 format available.

Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Sun, 19 Feb 2012 05:06:06 GMT) Full text and rfc822 format available.

Notification sent to "Adam D. Barratt" <adam@adam-barratt.org.uk>:
Bug acknowledged by developer. (Sun, 19 Feb 2012 05:06:06 GMT) Full text and rfc822 format available.

Message #24 received at 660400-close@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 660400-close@bugs.debian.org
Subject: Bug#660400: fixed in hal 0.5.14-7.1
Date: Sun, 19 Feb 2012 05:02:29 +0000
Source: hal
Source-Version: 0.5.14-7.1

We believe that the bug you reported is fixed in the latest version of
hal, which is due to be installed in the Debian FTP archive:

hal-doc_0.5.14-7.1_all.deb
  to main/h/hal/hal-doc_0.5.14-7.1_all.deb
hal_0.5.14-7.1.debian.tar.gz
  to main/h/hal/hal_0.5.14-7.1.debian.tar.gz
hal_0.5.14-7.1.dsc
  to main/h/hal/hal_0.5.14-7.1.dsc
hal_0.5.14-7.1_amd64.deb
  to main/h/hal/hal_0.5.14-7.1_amd64.deb
libhal-dev_0.5.14-7.1_amd64.deb
  to main/h/hal/libhal-dev_0.5.14-7.1_amd64.deb
libhal-storage-dev_0.5.14-7.1_amd64.deb
  to main/h/hal/libhal-storage-dev_0.5.14-7.1_amd64.deb
libhal-storage1_0.5.14-7.1_amd64.deb
  to main/h/hal/libhal-storage1_0.5.14-7.1_amd64.deb
libhal1_0.5.14-7.1_amd64.deb
  to main/h/hal/libhal1_0.5.14-7.1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 660400@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Cyril Brulebois <kibi@debian.org> (supplier of updated hal package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 19 Feb 2012 04:22:09 +0000
Source: hal
Binary: hal hal-doc libhal1 libhal-storage1 libhal-dev libhal-storage-dev
Architecture: source all amd64
Version: 0.5.14-7.1
Distribution: unstable
Urgency: high
Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Changed-By: Cyril Brulebois <kibi@debian.org>
Description: 
 hal        - Hardware Abstraction Layer
 hal-doc    - Hardware Abstraction Layer - documentation
 libhal-dev - Hardware Abstraction Layer - development files
 libhal-storage-dev - Hardware Abstraction Layer - development files
 libhal-storage1 - Hardware Abstraction Layer - shared library for storage devices
 libhal1    - Hardware Abstraction Layer - shared library
Closes: 660400
Changes: 
 hal (0.5.14-7.1) unstable; urgency=high
 .
   * Non-maintainer upload.
   * Apply patch from Steven Chamberlain (thanks!) to fix FTBFS on
     kfreebsd-* during the rebuild for the unannounced freebsd-libs
     transition, due to hardening options (-Werror=format-security):
     55-kfreebsd-format-security.patch (Closes: #660400)
   * Set urgency to “high” for the RC bug fix.
Checksums-Sha1: 
 c2eabddfe6cac92675052b2a14a08a5c987f4567 1907 hal_0.5.14-7.1.dsc
 3b3bbca0b4b69732163ca555a955097ac8287059 49510 hal_0.5.14-7.1.debian.tar.gz
 ac668d736434e03e517ed1d60da07386f7a2e486 207146 hal-doc_0.5.14-7.1_all.deb
 4dc7eabce1346f84565a1666ee4185464c1613a5 477170 hal_0.5.14-7.1_amd64.deb
 14db93fbd488f32b173c8735f48c7ecdf05e722d 100838 libhal1_0.5.14-7.1_amd64.deb
 cb8711b7ef4d3250f6b0dd827df5ef37cb4d4eb0 89130 libhal-storage1_0.5.14-7.1_amd64.deb
 7355ca72159fd58813c9d617a92bc4f227cf14a5 105694 libhal-dev_0.5.14-7.1_amd64.deb
 5fe6d629fb356e133d3191d342fcd3f4d7deb5d0 90538 libhal-storage-dev_0.5.14-7.1_amd64.deb
Checksums-Sha256: 
 0bae9f51a881ef25d298fb8d0148531aaec087ddf135dee5a25d7c01172fbd5e 1907 hal_0.5.14-7.1.dsc
 0294064c6815cadb8bcaacc63591eb2e3b095221598a888cc2ee0a808bf98160 49510 hal_0.5.14-7.1.debian.tar.gz
 740b529f0392e0b837c03054f6114d18a720530553db0d4a2ca377a8a7f1d6da 207146 hal-doc_0.5.14-7.1_all.deb
 25dbd5970a7279e05ce071b00c5f9b90b4b5e7df7a0401fe6929fa456b8a4f9a 477170 hal_0.5.14-7.1_amd64.deb
 857b10d99fe32297d3332869651cc8ba371eed1899110dc22624f5cb18b6a867 100838 libhal1_0.5.14-7.1_amd64.deb
 10b1059a6a70727992dd6ecf72a923bb7652a1e0bc7c8495ed83e771d728bc63 89130 libhal-storage1_0.5.14-7.1_amd64.deb
 2895c658011b819aaa11a942371c5a9db5c9e9d8209fbd768d41c6879ce097b4 105694 libhal-dev_0.5.14-7.1_amd64.deb
 e3944bb7e55a8f8f543ec7e1ac8a87aa202627c59c8d65929e625307040caa61 90538 libhal-storage-dev_0.5.14-7.1_amd64.deb
Files: 
 aa8f713cce332e2ed6257c302141a518 1907 admin optional hal_0.5.14-7.1.dsc
 faef1fa66e44a55a32ef3dbba93733ea 49510 admin optional hal_0.5.14-7.1.debian.tar.gz
 1dd06dffc5bb63a7b09d2387d84fb30d 207146 doc optional hal-doc_0.5.14-7.1_all.deb
 b2a3f53c276c4eabc7206a3106eee435 477170 admin optional hal_0.5.14-7.1_amd64.deb
 d99bddacf3da9f1fc97ed84c7f56fd80 100838 libs optional libhal1_0.5.14-7.1_amd64.deb
 82b5a1fe93755f5a8d78b1256ddfba44 89130 libs optional libhal-storage1_0.5.14-7.1_amd64.deb
 f9c7cfc3a6fcefbb1b9c840f4f53a26e 105694 libdevel optional libhal-dev_0.5.14-7.1_amd64.deb
 cc8fd4a8a81d0b58de6a63cdcff9ced6 90538 libdevel optional libhal-storage-dev_0.5.14-7.1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk9AgLQACgkQeGfVPHR5Nd1MhwCcDaRw4135vCQH9ODiYbBIoVSk
gKMAoK0E1us9ZwtfLp8TNgzfxw9D4lb4
=lf/g
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>:
Bug#660400; Package src:hal. (Sun, 19 Feb 2012 21:36:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Biebl <biebl@debian.org>:
Extra info received and forwarded to list. Copy sent to Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>. (Sun, 19 Feb 2012 21:36:19 GMT) Full text and rfc822 format available.

Message #29 received at 660400@bugs.debian.org (full text, mbox):

From: Michael Biebl <biebl@debian.org>
To: Cyril Brulebois <kibi@debian.org>, 660400@bugs.debian.org, steven@pyro.eu.org
Subject: Re: Bug#660400: hal: FTBFS on kfreebsd-*
Date: Sun, 19 Feb 2012 22:34:07 +0100
[Message part 1 (text/plain, inline)]
On 19.02.2012 05:51, Cyril Brulebois wrote:
> tag 660400 patch pending
> thanks
> 
> Steven Chamberlain <steven@pyro.eu.org> (19/02/2012):
>> This is due to 'unsafe' format strings being supplied to printf in
>> FreeBSD-specific code, revealed by the -Wformat-security build hardening
>> option.  I've attached a patch to fix this.
> 
> Thanks, uploaded right away since we have many blockers for the
> freebsd-libs transition, I hope Michael will be fine with my
> being in a hurry. The patch for my NMU is attached.

Thanks for the patch and the NMU, much appreciated.

I've applied the debdiff to the pkg-utopia SVN.

Michael


-- 
Why is it that all of the instruments seeking intelligent life in the
universe are pointed away from Earth?

[signature.asc (application/pgp-signature, attachment)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 19 Mar 2012 07:28:50 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 10:59:54 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.